---------------------------------------------------
---------------------------------------------------
--  Easy 1 Processor Architecture				 --
--  University of Puerto Rico					 --
--  Mayaguez Campus								 --
--	Department of Computer Engineering			 --
-- 												 --
--	Copyright (c) 2003							 --
--	All rigths reserved.						 --
--										   		 --
--	Prof. Bienvenido Vlez						 --
--	Abdiel Avils								 --
--	Rafael S. Garca							 --
--	Nesmary Hernndez 							 --
-- 	Carlos Prez								 --
---------------------------------------------------
---------------------------------------------------
-- 	[easy1_shift.vhd]
--	Easy 1 Shifter
--	This module describes the Easy 1 Shifter
--	The Easy 1 Shifter receives one operand
--	and shifts it to the rigth.
---------------------------------------------------	
---------------------------------------------------
--	Libraries declarations
library ieee;
use ieee.std_logic_1164.all;   
use easy1_package.all;
--
---------------------------------------------------
--	Entity declaration
--	@f        	- operand from the Accumulator
--	@result		- result
--	
entity easy1_shift is
	
	port (
		f      : in  std_logic_vector(15 downto 0):=X"0000";
		result : out std_logic_vector(15 downto 0):=X"0000");
		
end easy1_shift;
--
----------------------------------------------------
--	Architecture declaration
--
architecture shift_arq of easy1_shift is
begin								 
	--	Shift to the right
	result <= '0' & f(15 downto 1);
	
end shift_arq;
---------------------------------------------------

