-- C:\DOCUMENTS AND SETTINGS\ABDIEL.ABDIELCOMPUTER\DESKTOP\EASY II FALL 03\EASYII\SRC\EASY1_COMPUTER_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Mon Oct 20 23:54:32 2003

LIBRARY  ieee;
USE ieee.std_logic_1164.all;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
	-- If you get a compiler error on the following line,
	-- from the menu do Options->Configuration select VHDL 93
	FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT easy1_computer
		PORT (
			clock : in  std_logic;
			reset : in  std_logic
			);
	END COMPONENT;
	
	SIGNAL clock : std_logic;
	SIGNAL reset : std_logic;
	
BEGIN
	UUT : easy1_computer
	PORT MAP (
		clock => clock,
		reset => reset
		);
	
	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;
		
	BEGIN
		-- --------------------
		reset <= transport '1';
		-- --------------------

		
		for i in 0 to 10000 loop
			clock <= transport '1';
			-- --------------------
			WAIT FOR 5000 ns;
			clock <= transport '0';		   
			-- --------------------	
			reset <= transport '0';
			WAIT FOR 5000 ns;

		end loop;
		
		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
			"Simulation successful (not a failure).  No problems detected. "
			SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
			" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
			"Errors found during simulation"
			SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION easy1_computer_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END easy1_computer_cfg;
